org.apache.xmlbeans.impl.soap

## Interface SOAPConstants

-     public interface SOAPConstants

  The definition of constants pertaining to the SOAP 1.1 protocol.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `URI_NS_SOAP_ENCODING` The namespace identifier for the SOAP encoding (see section 5 of the SOAP 1.1 specification).
    `static String` | `URI_NS_SOAP_ENVELOPE` The namespace identifier for the SOAP envelope.
    `static String` | `URI_SOAP_ACTOR_NEXT` The URI identifying the first application processing a SOAP request as the intended actor for a SOAP header entry (see section 4.2.2 of the SOAP 1.1 specification).

- - ### Field Detail

    - #### URI_NS_SOAP_ENVELOPE

          static final String URI_NS_SOAP_ENVELOPE

      The namespace identifier for the SOAP envelope.
      See Also:
        Constant Field Values

    - #### URI_NS_SOAP_ENCODING

          static final String URI_NS_SOAP_ENCODING

      The namespace identifier for the SOAP encoding (see section 5 of the SOAP 1.1 specification).
      See Also:
        Constant Field Values

    - #### URI_SOAP_ACTOR_NEXT

          static final String URI_SOAP_ACTOR_NEXT

      The URI identifying the first application processing a SOAP request as the intended actor for a SOAP header entry (see section 4.2.2 of the SOAP 1.1 specification).
      See Also:
        Constant Field Values